
Name:       musikcube
Summary:    Terminal Music Player
Version: 	0.62.2
Release:    %mkrel 2
Group:      Sound
License:    GPLv2
URL:        https://github.com/clangen/musikcube/archive/
Source0:    %name-%{version}.tar.xz
Source1:    musikcube.conf
#----------------------------------------------
BuildRequires: cmake
BuildRequires: lib64alsa2-devel
BuildRequires: lib64boost-devel
BuildRequires: lib64curl-devel
BuildRequires: lib64ev-devel
BuildRequires: lib64ffmpeg-devel
BuildRequires: lib64lame0-devel
BuildRequires: lib64microhttpd-devel
BuildRequires: lib64ncurses-devel
BuildRequires: lib64ogg-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64pulseaudio-devel
BuildRequires: lib64taglib-devel
BuildRequires: lib64vorbis0-devel 
BuildRequires: libstdc++-devel
#----------------------------------------------
Provides: libmusikcore.so()(64bit)

%description
A cross-platform, terminal-based audio engine, 
library, player and server written in C++

%files
%{_bindir}/musikcube
%{_bindir}/musikcubed
%dir %{_datadir}/musikcube
%{_datadir}/musikcube/libmusikcore.so
%{_datadir}/musikcube/locales/en_US.json
%{_datadir}/musikcube/locales/fr_FR.json
%{_datadir}/musikcube/locales/it_IT.json
%{_datadir}/musikcube/locales/ru_RU.json
%{_datadir}/musikcube/musikcube
%{_datadir}/musikcube/musikcubed
%{_datadir}/musikcube/plugins/libalsaout.so
%{_datadir}/musikcube/plugins/libffmpegdecoder.so
%{_datadir}/musikcube/plugins/libgmedecoder.so
%{_datadir}/musikcube/plugins/libhttpdatastream.so
%{_datadir}/musikcube/plugins/libnullout.so
%{_datadir}/musikcube/plugins/libpulseout.so
%{_datadir}/musikcube/plugins/libserver.so
%{_datadir}/musikcube/plugins/libstockencoders.so
%{_datadir}/musikcube/plugins/libsupereqdsp.so
%{_datadir}/musikcube/plugins/libtaglibreader.so
%{_datadir}/musikcube/themes/gruvbox_dark.json
%{_datadir}/musikcube/themes/solarized_dark.json
%{_datadir}/musikcube/themes/solarized_light.json
/etc/ld.so.conf.d/musikcube.conf
#------------------------------------------------------------------------------


%prep
%setup -q
%apply_patches

%build
cmake -D CMAKE_INSTALL_PREFIX:PATH=%{_prefix} -DCMAKE_BUILD_TYPE=Release .

make -j16

%install
rm -rf %buildroot
make install DESTDIR=%{buildroot}

rm -rf %buildroot/%{_includedir}

find %{buildroot} -type f \( -name '*.so' -o -name '*.so.*' \) -exec chmod 755 {} +

install -Dm 0644 %SOURCE1 %buildroot/etc/ld.so.conf.d/musikcube.conf

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%changelog
* Sat Jun 01 2019 tex - 0.62.2-2pclos2019
- rebuild against updates

* Fri Jan 25 2019 tex - 0.62.2-1pclos2019
- new version
